Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.SecureRMIDemo
Class SecurePurseImpl

    java.lang.Object
      javacard.framework.service.CardRemoteObject
          com.licel.jcardsim.samples.SecureRMIDemo.SecurePurseImpl

All Implemented Interfaces:
  Purse, Remote

    public class SecurePurseImpl

extends CardRemoteObject
implements Purse

Field Summary

Fields inherited from interface com.licel.jcardsim.samples.SecureRMIDemo.Purse
`BAD_ARGUMENT, CORRUPTED_DATA, MAX_AMOUNT, OVERFLOW, REQUEST_DENIED, UNDERFLOW`

Constructor Summary
`SecurePurseImpl(SecurityService security)`

Method Summary
`void` | `credit(short m)`
`void` | `debit(short m)`
`byte[]` | `getAccountNumber()`
`short` | `getBalance()`
`void` | `setAccountNumber(byte[] number)`

Methods inherited from class javacard.framework.service.CardRemoteObject
`export, unexport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurePurseImpl

    public SecurePurseImpl(SecurityService security)

Method Detail

### debit

    public void debit(short m)
               throws RemoteException,
                      UserException

  Specified by:
    `debit` in interface `Purse`
  Throws:
    `RemoteException`
    `UserException`

### credit

    public void credit(short m)
                throws RemoteException,
                       UserException

  Specified by:
    `credit` in interface `Purse`
  Throws:
    `RemoteException`
    `UserException`

### getBalance

    public short getBalance()
                     throws RemoteException,
                            UserException

  Specified by:
    `getBalance` in interface `Purse`
  Throws:
    `RemoteException`
    `UserException`

### setAccountNumber

    public void setAccountNumber(byte[] number)
                          throws RemoteException,
                                 UserException

  Specified by:
    `setAccountNumber` in interface `Purse`
  Throws:
    `RemoteException`
    `UserException`

### getAccountNumber

    public byte[] getAccountNumber()
                            throws RemoteException,
                                   UserException

  Specified by:
    `getAccountNumber` in interface `Purse`
  Throws:
    `RemoteException`
    `UserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD